Text.Blaze.Internal

# Important types.

data ChoiceString

data StaticString

data HtmlM a

type Html

data Tag

data Attribute

data AttributeValue

# Creating custom tags and attributes.

attribute

dataAttribute

customAttribute

# Converting values to HTML.

text

preEscapedText

lazyText

preEscapedLazyText

string

preEscapedString

unsafeByteString

unsafeLazyByteString

# Converting values to tags.

textTag

stringTag

# Converting values to attribute values.

textValue

preEscapedTextValue

lazyTextValue

preEscapedLazyTextValue

stringValue

preEscapedStringValue

unsafeByteStringValue

unsafeLazyByteStringValue

# Setting attributes

class Attributable h

# Modifying HTML elements

external